#use appimage at

%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}


Summary: Singlebox is an all-in-one messaging & emailing app
Name: singlebox
Version: 18.14.1
Release: %mkrel 1
License: GPL
Group: Networking/Chat
URL: https://webcatalog.io/singlebox/
Source1: %{name}.desktop
Source2: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no

%description
Singlebox for Mac and PC is an all-in-one messaging & emailing app
A single place for all your web services and accounts, including
Discord, WhatsApp, Messenger, Slack, Telegram and many many more.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc "https://cdn-2.webcatalog.io/singlebox/Singlebox-%{version}.AppImage"
popd

install -Dm 0755 %{_sourcedir}/Singlebox-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Aug 17 2021 tex - 1.5.15-1pclos2021
- create pkg
